# look for files in the layer first
FILESEXTRAPATHS_prepend := "${THISDIR}/files:"

SRC_URI = "file://test.sh"

SRC_URI_append_arm = " file://alignment.sh"

KERNEL_VERSION = ""

inherit update-alternatives
DEPENDS_append = " update-rc.d-native"

ALTERNATIVE_PRIORITY = "90"
ALTERNATIVE_${PN} = "functions"
ALTERNATIVE_LINK_NAME[functions] = "${sysconfdir}/init.d/functions"

HALTARGS ?= "-d -f"

do_configure() {
}

do_install () {
#
# Create directories and install device independent scripts
#
    	install -m 0755    ${WORKDIR}/rcK			${D}${sysconfdir}/init.d
        install -m 0755    ${WORKDIR}/test.sh           ${D}${sysconfdir}/init.d

	

#
# Remove some scripts
#
	[ -n "${D}" ] && OPT="-r ${D}" || OPT="-s"
	update-rc.d $OPT -f sysfs.sh remove

#
# Create runlevel links
#
        update-rc.d -r ${D} test.sh start 94 S .
}

